version: '3.8'

services:
  workbench-client-v2:
    image: workbench-client-v2
    build:
      context: ../../..
      network: ${COMPOSE_NETWORK}
      dockerfile: tools/docker/workbench-client-v2/Dockerfile
    restart: ${COMPOSE_RESTART}
    environment:
      WBC_AUTHENTICATION_ON: ${WBC_AUTHENTICATION_ON}
      WBC_WBS_SERVER_API_URL: ${WBC_WBS_SERVER_API_URL}
      WBC_WBS_USER_ID: ${WBC_WBS_USER_ID}
      WBC_IDP_URL: ${WBC_IDP_URL}
      WBC_CLIENT_ID: ${WBC_CLIENT_ID}
      WBC_LOGGING: ${WBC_LOGGING}
      WBC_AAA_API_URL: ${WBC_AAA_API_URL}
    ports:
      - ${COMPOSE_WBC_HOST}:${COMPOSE_WBC_PORT}:80
